/*
 * Copyright (C) 2006 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.testframework;

import com.topcoder.testframework.web.DefaultWebApplicationServerTests;
import com.topcoder.testframework.web.PrepareTestEarTaskTests;
import com.topcoder.testframework.web.PrepareTestWarTaskTests;
import com.topcoder.testframework.web.TCFilterTestCaseTests;
import com.topcoder.testframework.web.TCJspTestCaseTests;
import com.topcoder.testframework.web.TCServletTestCaseTests;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

/**
 * <p>
 * This test case aggregates all Unit test cases.
 * </p>
 *
 * @author TCSDEVELOPER
 * @version 1.0
 */
public class UnitTests extends TestCase {
    /**
     * <p>
     * Return all unit tests.
     * </p>
     *
     * @return all unit tests
     */
    public static Test suite() {
        final TestSuite suite = new TestSuite();

        //package com.topcoder.testframework
        suite.addTest(AntTaskInfoTests.suite());
        suite.addTest(ApplicationServerTests.suite());
        suite.addTest(CredentialPropertyTests.suite());
        suite.addTest(CredentialsElementTests.suite());
        suite.addTest(ServerAppTestTaskTests.suite());
        suite.addTest(DataServerTests.suite());
        suite.addTest(ServerElementTests.suite());
        suite.addTest(ServerTests.suite());
        suite.addTest(Demo.suite());

        //package com.topcoder.testframework.web
        suite.addTest(DefaultWebApplicationServerTests.suite());
        suite.addTest(PrepareTestWarTaskTests.suite());
        suite.addTest(PrepareTestEarTaskTests.suite());
        suite.addTest(TCJspTestCaseTests.suite());
        suite.addTest(TCServletTestCaseTests.suite());
        suite.addTest(TCFilterTestCaseTests.suite());

        return suite;
    }

}
